unit Global;

interface

  var
    Password: string;
    UserID: Integer;
    Employee: Boolean;
    TableName: string;
    UserTitle: string;
    Caption: string;
    SQL: string;
    Filter: string;
    JobSQL: string;
    JobFilter: string;
    isSearch: Boolean;
    isJobSelect: Boolean;
    SREmployee, SREmployer, SRJob: Integer;
    WhoAmI: string;
    isReport: Boolean;
    Accept: Boolean;
    showContact: Boolean;
    Found : Boolean;

  procedure ResetVars;
  function S(c: string): string;
  function B(f: boolean): string;
  function W(b: boolean; f, o, s: string): string;

implementation

procedure ResetVars;
begin
  SQL := '';
  Filter := '';
  JobSQL := '';
  JobFilter := '';
  isSearch := false;
  isJobSelect := false;
  Caption := '';
  SREmployee := 0;
  SREmployer := 0;
  SRJob := 0;
  isReport := false;
  Accept := false;
  showContact := false;
end;

function S(c: string): string;
begin
  if (c = '') or (c = '-') then
    S := 'NULL'
  else
    S := '"'+c+'"';
end;

function B(f: boolean): string;
begin
  if f then
    B := '"True"'
  else
    B := '"False"';
end;

function W(b: boolean; f, o, s: string): string;
begin
  if s <> '' then
  begin
    if o = '' then
      o := '=';
    if o = 'like' then
      s := '%'+s+'%';
    W := ' (('+f+' is null) or ('+f+' '+o+' "'+s+'")) ';
  end
  else
    if b then
      W := ' (1=1) '
    else
      W := ' (0=1) ';
end;

end.

