unit LoginU;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, Db, DBTables, Grids, DBGrids;

type
  TLoginDlg = class(TForm)
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Pass: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    UID: TEdit;
    OKBtn: TButton;
    CancelBtn: TButton;
    Button1: TButton;
    Label3: TLabel;
    Memo1: TMemo;
    DataSource: TDataSource;
    Query: TQuery;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  LoginDlg: TLoginDlg;

implementation

{$R *.DFM}

uses
  Global, Main, Dialogs;

procedure TLoginDlg.FormShow(Sender: TObject);
begin
  Caption := TableName + 's Login';
  UID.Text := '';
  Pass.Text := '';
  UID.SetFocus;
end;

procedure TLoginDlg.Button1Click(Sender: TObject);
begin
  ModalResult := 2;
end;

procedure TLoginDlg.CancelBtnClick(Sender: TObject);
begin
  ModalResult := -1;
end;

procedure TLoginDlg.OKBtnClick(Sender: TObject);
begin
  Global.Password := Pass.Text;
  Global.UserID := StrToInt(UID.Text);
  Query.SQL.Clear;
  Query.SQL.Add('select * from ' + TableName + ';');
  Query.Filter := 'id = ' + IntToStr(UserID);
  Query.Active := True;
  if (Global.Password <> Query.Fields.FieldByName('Password').AsString) or
     (Global.UserID <> Query.Fields.FieldByName('ID').AsInteger) then
    MessageDlg('Invalid User ID or Password', mtError, [mbOk], 0)
  else
  begin
    if Global.Employee then
    begin
      Global.UserTitle := Query.Fields.FieldByName('First Name').AsString;
      Global.Found := Query.Fields.FieldByName('Found').AsBoolean;
    end
    else
    begin
      Global.UserTitle := Query.Fields.FieldByName('Title').AsString;
      Query.Close;
      Query.SQL.Clear;
      Query.SQL.Add('select * from Job where Requests>0 and EmployerID='+IntToStr(UserID)+';');
      Query.Filter := '';
      Query.Active := True;
      Global.Found := Query.EOF;
    end;
    ModalResult := 1;
  end;
  Query.Close;
end;

end.

