unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Db, DBTables;

type
  TMainForm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Memo: TMemo;
    Button4: TButton;
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses EmployeesListU, EmployersListU, Password, SysOpHomeU, Global, LoginU,
  UserHomeU, NewEmployeeU, NewEmployerU;

{$R *.DFM}

procedure TMainForm.Button4Click(Sender: TObject);
begin
  Application.Terminate;
end;

procedure Login;
var
  I : Integer;
begin
  if Global.Employee then
    TableName := 'Employee'
  else
    TableName := 'Employer';
  I := LoginDlg.ShowModal;
  if (I > 0) then
  begin
    MainForm.Visible := false;
    if (I = 2) then
    begin
      if Employee then
        I := NewEmployee.ShowModal
      else
        I := NewEmployer.ShowModal;
    end;
    if I > 0 then
      UserHome.ShowModal;
    MainForm.Visible := true;
  end;
end;

procedure TMainForm.Button3Click(Sender: TObject);
begin
  Global.WhoAmI := 'SysAdmin';
  Global.ResetVars;
  while true do
    if PasswordDlg.ShowModal > 0 then
    begin
      if Global.Password = 'hooloo' then
      begin
        Visible := false;
        SysOpHome.ShowModal;
        Visible := true;
        Break;
      end
      else
        MessageDlg('Invalid Password', mtError, [mbOk], 0);
    end
    else
      Break;
end;

procedure TMainForm.Button2Click(Sender: TObject);
begin
  Global.WhoAmI := 'Employer';
  Global.Employee := False;
  Global.ResetVars;
  Login;
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
  Global.WhoAmI := 'Employee';
  Global.Employee := True;
  Global.ResetVars;
  Login;
end;

end.

