unit Password;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons;

type
  TPasswordDlg = class(TForm)
    Label1: TLabel;
    Password: TEdit;
    OKBtn: TButton;
    CancelBtn: TButton;
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PasswordDlg: TPasswordDlg;

implementation

{$R *.DFM}

uses
  Global;

procedure TPasswordDlg.OKBtnClick(Sender: TObject);
begin
  Global.Password := Password.text;
  Global.UserID := -1;
  ModalResult := 1;
end;

procedure TPasswordDlg.CancelBtnClick(Sender: TObject);
begin
  Global.Password := '';
  Global.UserID := 0;
  ModalResult := -1;
end;

procedure TPasswordDlg.FormShow(Sender: TObject);
begin
  Password.text := '';
end;

end.

