unit SysOpHomeU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Db, DBTables;

type
  TSysOpHome = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Memo: TMemo;
    Button4: TButton;
    Query: TQuery;
    procedure Button4Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SysOpHome: TSysOpHome;

implementation

uses Main, EmployeesListU, EmployersListU, Global, ReportU;

{$R *.DFM}

procedure TSysOpHome.Button4Click(Sender: TObject);
begin
  Close;
end;

procedure TSysOpHome.Button1Click(Sender: TObject);
begin
  Global.ResetVars;
  Global.Employee := True;
  EmployeesList.ShowModal;
end;

procedure TSysOpHome.Button2Click(Sender: TObject);
begin
  Global.ResetVars;
  Global.Employee := False;
  EmployersList.ShowModal;
end;

procedure TSysOpHome.Button3Click(Sender: TObject);
begin
  with Query do
  begin
    SQL.Clear;
    SQL.Add('select * from Report '
           +'where Report."For"="'+Global.WhoAmI+'";');
    Active := true;
  end;
  if not Query.EOF then
    Report.ShowModal
  else
    MessageDlg('You have no reports', mtError, [mbOK], 0);
  Query.Close;
end;

end.

